﻿/**************************************************************************************************
HTML Elements Related to Master Page                                     
**************************************************************************************************/

body {
   background-image: url('/images/backgrounds/CirclesBG.png');
   background-repeat: repeat;
   border: 0;
   font-family: Arial, Helvetica, sans-serif;
   font-size: 11px;
   height: 100%;
   margin: 0;
   padding: 0;
   width: 100%;
}

/**************************************************************************************************
Master Page Titles
**************************************************************************************************/

#YLAppsApplicationTitle {
   border-bottom-color: #DE6600 !important;
   border-bottom-style: solid !important;
   border-bottom-width: 0 !important;
   float: left;
   line-height: 24px;
   margin-left: 29px;
   margin-top: 3px;
   overflow: hidden;
   padding-right: 10px;
   text-transform: lowercase;
}

   #YLAppsApplicationTitle a {
      color: #DE6600;
      font-family: Arial, Helvetica, sans-serif;
      font-size: 24px;
      font-weight: bold;
      letter-spacing: -1px;
      margin-bottom: 0 !important;
      padding-bottom: 0 !important;
      text-decoration: none;
      white-space: nowrap;
   }

#YLAppsBodyTitle {
   color: #358087;
   font-family: Arial, Helvetica, sans-serif;
   font-size: 16px;
   font-weight: bold;
   line-height: normal;
   margin: 0;
   overflow: hidden;
   text-overflow: ellipsis;
   white-space: nowrap;
}

/**************************************************************************************************
Master Page Background
**************************************************************************************************/

#YLAppsBoxShadowContainer {
   background-color: #FFF;
   bottom: 27px;
   left: 15px;
   position: absolute;
   right: 15px;
   top: 32px;
   box-shadow: #C6C6C6 0 5px 13px 4px;
   -webkit-box-shadow: #C6C6C6 0 5px 13px 4px;
   -moz-box-shadow: #C6C6C6 0 5px 13px 4px;
   border-radius: 12px 12px 12px 12px;
   -moz-border-radius: 12px 12px 12px 12px;
   -webkit-border-radius: 12px 12px 12px 12px;
   behavior: url('/images/backgrounds/PIE.htc');
}

body.FullPageFlow #YLAppsBoxShadowContainer {
   position: inherit;
   margin-left: 15px;
   margin-right: 15px;
   padding-bottom: 5px;
   left: 0;
   right: 0;
}

/**************************************************************************************************
Master Page Breadcrumbs
**************************************************************************************************/

#YLAppsBreadcrumbs {
   color: #FFF;
   float: left;
   font-family: Arial, Helvetica, sans-serif;
   font-size: 12px;
   height: 20px;
   line-height: 20px;
   margin: 0 0 0 14px;
   padding: 0;
}

   #YLAppsBreadcrumbs a {
      color: #FFF;
      text-decoration: none;
   }

      #YLAppsBreadcrumbs a:hover {
         color: #FFF;
         text-decoration: underline;
      }

      #YLAppsBreadcrumbs .BreadcrumbPale, #YLAppsBreadcrumbs a.BreadcrumbPale, #YLAppsBreadcrumbs a.BreadcrumbPale:hover {
         color: #BBB;
      }

/**************************************************************************************************
Master Page Main Content
**************************************************************************************************/

#YLAppsContent {
   bottom: 0;
   color: #000;
   font-family: Arial, Helvetica, sans-serif;
   font-size: 11px !important;
   left: 0;
   line-height: 14px;
   margin: 32px 0 14px 14px;
   overflow-x: hidden;
   overflow-y: auto;
   padding-right: 14px;
   position: absolute;
   right: 0;
   top: 0;
}

   #YLAppsContent a, #YLAppsContent a:link {
      color: #337F85;
      font-family: Arial, Helvetica, sans-serif;
      text-decoration: none;
   }

      #YLAppsContent a:hover {
         text-decoration: underline;
      }

      #YLAppsContent a.disabled, #YLAppsContent div.disabled {
         color: #888;
         cursor: default;
         text-decoration: none;
      }

body.FullPageFlow #YLAppsContent {
   margin-top: 2px;
   position: inherit;
}

/**************************************************************************************************
Master Page Footer
**************************************************************************************************/

#YLAppsFooter {
   bottom: 0;
   color: #666;
   display: block;
   font-family: Arial, Helvetica, sans-serif;
   font-size: 12px;
   height: 27px;
   left: 15px;
   margin-top: 100px;
   margin: 0;
   position: absolute;
   right: 15px;
   text-align: center;
}

   #YLAppsFooter a {
      color: #666;
      text-decoration: none;
   }

      #YLAppsFooter a:visited {
         color: #666;
      }

      #YLAppsFooter a:hover {
         color: #666;
         text-decoration: none;
      }

      #YLAppsFooter a:hover {
         text-decoration: underline;
      }

body.FullPageFlow #YLAppsFooter {
   height: 18px;
   padding-top: 10px;
   position: inherit;
}

#YLAppsFooterText {
   padding-top: 9px;
}

body.FullPageFlow #YLAppsFooterText {
   padding-top: 0;
}

/**************************************************************************************************
Master Page Header
**************************************************************************************************/

#YLAppsHeader {
   background-position: top;
   height: 32px;
}

#YLAppsLogo {
   float: right;
   height: 25px;
   margin-right: 29px;
   margin-top: 4px;
   width: 128px;
}

/**************************************************************************************************
Master Page Server Details Bar
**************************************************************************************************/

#YLAppsServerDetails {
   background-color: #000;
   bottom: 29px;
   color: #FFF;
   font-family: Arial, Helvetica, sans-serif;
   font-size: 8px;
   font-weight: bold;
   height: 10px;
   left: 14px;
   line-height: 8px;
   padding-top: 1px;
   position: absolute;
   right: 14px;
   text-align: center;
}

   #YLAppsServerDetails a:link, #YLAppsServerDetails a:active {
      color: #FFF;
      text-decoration: none;
   }

   #YLAppsServerDetails a:visited {
      color: #FFF;
   }

   #YLAppsServerDetails a:hover {
      color: #FFF;
      text-decoration: underline;
   }

#YLAppsServerDetails_Database, #YLAppsServerDetails_DebugEnabled, #YLAppsServerDetails_Framework, #YLAppsServerDetails_ServerName, #YLAppsServerDetails_TreeGridInfo, #YLAppsServerDetails_TraceEnabled {
   overflow: hidden;
   padding-left: 10px;
   padding-right: 10px;
   text-overflow: ellipsis;
   white-space: nowrap;
}

/**************************************************************************************************
Master Page Navigation Header and Menu
**************************************************************************************************/

table.HeaderNavCommonMenu {
   margin: 0 auto;
}

#GlobalNavHeader {
   background-color: #358087;
   height: 20px;
   position: relative;
   border: 0 solid #358087;
   border-radius: 12px 12px 0 0;
   -moz-border-radius: 12px 12px 0 0;
   -webkit-border-radius: 12px 12px 0 0;
   behavior: url('/images/backgrounds/PIE.htc');
}

   #GlobalNavHeader ul li {
      background: none;
      color: #FFF;
      list-style: none;
   }

      #GlobalNavHeader ul li > a:focus { /* removes blue focus box around focused anchor tag in Chrome */
         outline-style: none;
      }

/* Top navigation bar */
#TopNavigationMenu {
   height: 20px;
   margin: 0;
   padding: 0;
   position: absolute;
   right: 5px;
}

   /* List of all top-level navigation menus */
   #TopNavigationMenu > ul {
      list-style: none;
      margin: 0;
      padding: 0;
   }

      /* Each navigation top-level menu item */
      #TopNavigationMenu > ul > li {
         float: left;
         margin-left: 4px;
         position: relative;
      }

         /* Each navigation top-level menu item (when hovered, tab overlay is displayed) */
         #TopNavigationMenu > ul > li:hover {
            border-top-left-radius: 8px;
            border-top-right-radius: 8px;
            margin-top: -3px;
            padding-top: 3px;
            background-color: #DE6600;
         }

         /* Each navigation top-level menu item's hyperlink */
         #TopNavigationMenu > ul > li > a {
            color: #FFF;
            display: block;
            font-family: Arial, Helvetica, sans-serif;
            font-size: 12px;
            font-weight: bold;
            height: 20px;
            line-height: 20px;
            padding: 0 10px;
            text-decoration: none;
         }

         /* Each navigation menu's list of items (when menu tab is hovered, menu is shown) */
         #TopNavigationMenu > ul > li:hover > ul {
            display: block;
            position: absolute;
            z-index: 999;
         }

         /* Each navigation menu's list of items (when menu is shown) */
         #TopNavigationMenu > ul > li > ul {
            background-color: #CCC;
            border-top: 1px solid #FFF;
            display: none;
            list-style: none;
            margin: 0;
            padding: 0;
            z-index: 999;
         }

            /* Each navigation menu's hyperlinked item (rendered as rectangular area in menu) */
            #TopNavigationMenu > ul > li > ul > li > a {
               border-top: 1px dashed #999;
               color: #337F85;
               display: block;
               font-family: Arial, Helvetica, sans-serif;
               font-size: 11px;
               font-weight: bold;
               height: 22px;
               line-height: 22px;
               padding: 0 10px;
               text-decoration: none;
               vertical-align: middle;
            }

               /* Each navigation menu's hyperlinked item (when link is hovered) */
               #TopNavigationMenu > ul > li > ul > li > a:hover {
                  background-color: #E3E3E3;
               }

            /* Each navigations menu's FIRST hyperlink */
            #TopNavigationMenu > ul > li > ul > li:first-of-type > a {
               border-top: none;
               min-width: 170px;
            }

/**************************************************************************************************
Master Page Mission Unit Switcher
**************************************************************************************************/

#YLAppsMissionUnitSwitcher {
   background-color: #CCC;
   border-top: 1px solid #FFF;
   display: none;
   padding: 10px 5px 10px 10px;
   position: absolute;
   right: 0;
   white-space: nowrap;
   width: 375px;
   z-index: 99999;
}

   #YLAppsMissionUnitSwitcher input.destMu {
      width: 300px;
   }
